//
//  AddViewController.m
//  Shopping
//
//  Created by Bill Pringle on 2/13/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AddViewController.h"
#import "ShoppingAppDelegate.h"
#import "Item.h"


@implementation AddViewController

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	self.title = @"Shopping Item"; // set title
	// create cancel button
	self.navigationItem.leftBarButtonItem = [[[UIBarButtonItem alloc]
											  initWithBarButtonSystemItem:UIBarButtonSystemItemCancel
											  target:self action:@selector(cancelClicked:)] autorelease];
	
	// create save button
	self.navigationItem.rightBarButtonItem = [[[UIBarButtonItem alloc]
											   initWithBarButtonSystemItem:UIBarButtonSystemItemSave
											   target:self action:@selector(saveClicked:)] autorelease];
	
	// match background color of table view
	self.view.backgroundColor = [UIColor groupTableViewBackgroundColor];
}


-(void) saveClicked:(id)sender {
	ShoppingAppDelegate *d = 
	(ShoppingAppDelegate *) [[UIApplication sharedApplication] 
								 delegate];
	// create item and save it
	Item *i = [[Item alloc] init];
	i.name = txtName.text;
	i.notes = txtNotes.text;
	NSDecimalNumber *n = [[NSDecimalNumber alloc] initWithString:txtNeed.text];
	i.need = n.intValue;
	[n release];
	
	// add item to database
	[d insertItem:i];
	[d readItems];
	// dismiss view
	[self.navigationController dismissModalViewControllerAnimated:YES];	
}

-(void) cancelClicked:(id)sender {
	[self.navigationController dismissModalViewControllerAnimated:YES];
}

- (void) viewWillAppear:(BOOL)animated {
	[super viewWillAppear:animated];
	// clear form
	txtName.text = @"";
	txtNeed.text = @"1";
	txtNotes.text = @"";
	
	[txtName becomeFirstResponder];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[txtName release];
	[txtNeed release];
	[txtNotes release];
	
    [super dealloc];
}


@end
